Bug 1002379 - No yellow status icon is displayed in 'My Subscriptions' tab for subscriptions which will expire soon.
No yellow status icon is displayed in 'My Subscriptions' tab for subscription...
Status: CLOSED NOTABUG
Product: Subscription Asset Manager
Classification: Red Hat
Component: candlepin (Show other bugs)
1.3
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Katello Bug Bin
SAM QE List
:
Depends On:
Blocks: sam13-tracker
  Show dependency treegraph
 
Reported: 2013-08-29 00:28 EDT by qianzhan
Modified: 2013-09-04 22:31 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 11:10:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
'Screenshot from 2013-08-29 12:17:19.png' (1.12 MB, image/png)
2013-08-29 00:29 EDT, qianzhan
no flags Details
'entitlement cert which expired soon' (8.09 KB, application/x-x509-ca-cert)
2013-08-30 02:53 EDT, qianzhan
no flags Details
Entitlement cert with warning period set (2.22 KB, application/octet-stream)
2013-09-04 08:36 EDT, Carter Kozak
no flags Details

  None (edit)
Description qianzhan 2013-08-29 00:28:20 EDT
Description of problem:
No yellow status icon is displayed in 'My Subscriptions' tab for subscriptions which will expire soon.

Version-Release number of selected component (if applicable):
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.4.2-2.el6sat.noarch
katello-cli-1.4.3-8.el6sat.noarch
katello-cli-common-1.4.3-8.el6sat.noarch
katello-common-1.4.3-9.el6sam_splice.noarch
katello-configure-1.4.4-3.el6sat.noarch
katello-glue-candlepin-1.4.3-9.el6sam_splice.noarch
katello-glue-elasticsearch-1.4.3-9.el6sam_splice.noarch
katello-headpin-1.4.3-9.el6sam_splice.noarch
katello-headpin-all-1.4.3-9.el6sam_splice.noarch
katello-selinux-1.4.4-2.el6sat.noarch
signo-katello-0.0.20-1.el6sat.noarch
candlepin-0.8.21-1.el6sam.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.8.21-1.el6sam.noarch
candlepin-tomcat6-0.8.21-1.el6sam.noarch
thumbslug-0.0.32-1.el6sam.noarch
thumbslug-selinux-0.0.32-1.el6sam.noarch
subscription-manager-gui-1.8.21-1.el5
subscription-manager: 1.8.21-1.el5
python-rhsm: 1.8.17-1.el5


How reproducible:
always

Steps to Reproduce:
1. Register client to SAM server and auto-attach:

[root@dhcp-65-82 ~]# subscription-manager register --auto-attach
Username: admin
Password: 
The system has been registered with ID: d08aed8b-4fe4-4a53-9f52-8cc44dc13e13 
Installed Product Current Status:
Product Name: Red Hat Enterprise Linux Server
Status:       Subscribed

2. Record the end time of the consumed subscription:

[root@dhcp-65-82 ~]# subscription-manager list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name: Red Hat Enterprise Linux Server, Premium (8 sockets) (Up to 4
                   guests)
Provides:          Red Hat Software Collections Beta (for RHEL Server)
                   Red Hat Enterprise Linux Server
                   Red Hat Beta
SKU:               RH0103708
Contract:          10022452
Account:           5225762
Serial:            2889402189910396338
Pool ID:           8ac28dc740b8b3d40140c46b4e74082e
Active:            True
Quantity Used:     1
Service Level:     Premium
Service Type:      L1-L3
Status Details:    
Starts:            06/04/2013
Ends:              06/03/2014

3. Set the system time to make the consumed subscription expired.

(1) client side:
[root@dhcp-65-82 ~]# date -s 20140603
Tue Jun  3 00:00:00 EDT 2014

(2) server side:
[root@samserv ~]# date -s 20140603
Tue Jun  3 00:00:00 EDT 2014

4. Open gui and check 'My Subscriptions' tab for subscriptions which will expire soon.
No yellow status icon is displayed in 'My Subscriptions' tab for subscriptions which will expire soon. Please see the attachment 'Screenshot from 2013-08-29 12:17:19.png'

Actual results:
As above.

Expected results:
A yellow status icon for the soon expired subscriptions should be displayed in the table.

Additional info:
Comment 1 qianzhan 2013-08-29 00:29:51 EDT
Created attachment 791578 [details]
'Screenshot from 2013-08-29 12:17:19.png'
Comment 2 Bryan Kearney 2013-08-29 13:14:11 EDT
can you please send the rct cat-cert output for the caerticate, or just attach the cert.
Comment 3 qianzhan 2013-08-30 02:53:11 EDT
Created attachment 792040 [details]
'entitlement cert which expired soon'
Comment 4 qianzhan 2013-08-30 02:54:43 EDT
(In reply to Bryan Kearney from comment #2)
> can you please send the rct cat-cert output for the caerticate, or just
> attach the cert.

Hi, Bryan

I have attached the entitlement cert: 'entitlement cert which expired soon'.

Qianqian
Comment 5 Carter Kozak 2013-09-03 11:10:36 EDT
The warning period on that certificate is 0, so it will never be marked as "expiring soon"

[root@ckozak-desktop Downloads]# rct cat-cert 5416138632133457384.pem | grep "Warning Period"
        Warning Period: 0
Comment 6 qianzhan 2013-09-04 03:57:56 EDT
(In reply to Carter Kozak from comment #5)
> The warning period on that certificate is 0, so it will never be marked as
> "expiring soon"
> 
> [root@ckozak-desktop Downloads]# rct cat-cert 5416138632133457384.pem | grep
> "Warning Period"
>         Warning Period: 0

Hi Carter,

We need a further check on this issue. Can you tell how to get a entitlement cert whose 'Warning Period' is not 0 ? Or can you provide me with an entitlement cert with non-zero 'Warning Period' ?

Thank you very much!

Qianqian
Comment 7 Carter Kozak 2013-09-04 08:36:24 EDT
Created attachment 793655 [details]
Entitlement cert with warning period set

The entitlements coming from production and stage should have the "Warning Period" attribute set, but I'm not sure that they do.  Here's a test cert with the attribute set to 30.
Comment 8 qianzhan 2013-09-04 22:31:22 EDT
(In reply to Carter Kozak from comment #7)
> Created attachment 793655 [details]
> Entitlement cert with warning period set
> 
> The entitlements coming from production and stage should have the "Warning
> Period" attribute set, but I'm not sure that they do.  Here's a test cert
> with the attribute set to 30.


Hi Carter,

I have checked the issue with entitlement-cert provided by you, and a yellow status icon is displayed in 'My Subscriptions' tab when the subscription will expire in 30 days.

Thanks a lot!

Qianqian

Note You need to log in before you can comment on or make changes to this bug.